"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const index = require("../../../../hooks/use-z-index/index.js");
const index$1 = require("../../../../hooks/use-namespace/index.js");
const types = require("../../../../utils/types.js");
const w = (e, {
  attributes: s,
  styles: c,
  role: p
}) => {
  const { nextZIndex: d } = index.useZIndex(), o = index$1.useNamespace("popper"), u = Vue.computed(() => Vue.unref(s).popper), r = Vue.ref(types.isNumber(e.zIndex) ? e.zIndex : d()), x = Vue.computed(() => [
    o.b(),
    o.is("pure", e.pure),
    o.is(e.effect),
    e.popperClass
  ]), m = Vue.computed(() => [
    { zIndex: Vue.unref(r) },
    Vue.unref(c).popper,
    e.popperStyle || {}
  ]), i = Vue.computed(() => p.value === "dialog" ? "false" : void 0), I = Vue.computed(() => Vue.unref(c).arrow || {});
  return {
    ariaModal: i,
    arrowStyle: I,
    contentAttrs: u,
    contentClass: x,
    contentStyle: m,
    contentZIndex: r,
    updateZIndex: () => {
      r.value = types.isNumber(e.zIndex) ? e.zIndex : d();
    }
  };
};
exports.usePopperContentDOM = w;
